package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.C49504Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class VideoAuth {
    @c(LIZ = "auth")
    public String auth;
    @c(LIZ = "code")
    public String code;

    static {
        Covode.recordClassIndex(82927);
    }

    public String getAuth() {
        String str = this.auth;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public String getCode() {
        String str = this.code;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }
}
